Subject: bug#13580: 24.2.92; regression in calc-convert-units

From: Jay Belanger <[email-masked]>
Date: Thu, 07 Feb 2013 13:53:21 -0600

> I am sorry, I do not understand the new behavior: Why does
> calc-convert-units ask now
>
>   (The expression is unitless when simplified) Old Units: 
>
> if the expression is dimensionless? 

It says unitless, not dimensionless.  They are not the same thing.

> From a different perspective: calc-convert-units in the pretest
> branch is still broken,

Not that I can see.  If there are units (whether dimensionless or not),
it will work with those.  If there are not units to convert, it will ask
what units you intended.

For example, 
convert:
 3
There are no units here, so Calc asks for the old units.  This behavior
is as old as Calc.
convert:
 3 ft/in
This is simply 36.  There are no units here, so Calc asks for the old
units.  Since someone might wonder why Calc is asking for units, there
is a message pointing out the expression doesn't have any.
convert:
 3 rad
This is dimensionless but not unitless.  Since there is a unit to work
with, Calc doesn't ask for one.  

Which behavior do you consider buggy?